/****************************************************************************
Copyright (c) 1998 Trustees of the University of Pennsylvania
See the file COPYING for license terms.

This header file appears to be X clean.
****************************************************************************/

#ifndef ANALYSIS_H
#define	ANALYSIS_H

#include "common.h"


struct common_pixel_rec
   {unsigned long total_indxs,num_indxs,*indxs;
   };


struct analysis_rec
   {
    int err;
    unsigned long num_slices;
    unsigned long total_slices;
    unsigned long cnt_slice,next_slice_num;
    struct hdr_scan_entry_rec *cur_slice;
    struct input_file_rec *file;
    unsigned long num_type_indxs,*type_indxs,total_group_rois;
    unsigned char is_shared_pixel,*group_roi_yes;
    float *cnt_shared_pixels;

    struct buf_2d_rec *_2d_ptr,_2d;
    struct draw_mask_rec mask;
    struct buf_2d_rec common;
   };


#define ANALYSIS_ERR_SHOWN 1000
#define ANALYSIS_ERR 1001
#define ANALYSIS_OUTPUT_FORMAT_ERR 1002
#define ANALYSIS_WINDOW_SETUP_ERR 1003


#endif ANALYSIS_H
