/****************************************************************************
Copyright (c) 1998 Trustees of the University of Pennsylvania
See the file COPYING for license terms.
****************************************************************************/


#ifndef COMMON_CONSTANTS_H
#define	COMMON_CONSTANTS_H

/* USED IN file.io.c */
#define WORLD_EXECUTE_MODE 1
#define WORLD_WRITE_MODE 2
#define WORLD_READ_MODE 4

/* used in rd_text.c  */
#define RD_TEXT 1
#define RD_INT  2
#define RD_FLOAT 3

/* used in win_color.c */
#define RGB_FREE_BUFFERS 0x0001
#define RGB_DEFAULT_COLORS 0x0002
#define RGB_NO_COLOR_FN 0x0004
#define RGB_INVALID_COLOR_FILE 0x0008
#define RGB_COLORS_UPDATED 0x0010
#define RGB_COLORS_VALID 0X0020
#define RGB_DONT_FREE_BUFFERS 0xfffe


#define FATHER_DIR 1
#define BROTHER_DIR 2
#define CUR_DIR 3
#define SON_DIR 4

#endif COMMON_CONSTANTS_H
