/****************************************************************************
Copyright (c) 1998 Trustees of the University of Pennsylvania
See the file COPYING for license terms.
****************************************************************************/

#ifndef _MENU_H
#define	_MENU_H
#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/scrollbar.h>
#include "str_def.h"

#define USER_MENU_SETUP 1
#define USER_MENU_FREE_MENU 2
#define USER_MENU_FREE_STRS 4
#define USER_MENU_FREE_STR_PTRS 8
#define USER_MENU_FREE_STRS_AND_PTR 16
#define USER_MENU_FREE_STR_PTRS_AND_PTR 32
#define USER_MENU_RETURN_USER_PROC_STR_ARG 64
struct menu_template_rec
   {
    Menu menu;
    Xv_Window win;
    Event event;
   };

struct all_menu_template_recs
   {
    int num_templates;
    struct menu_template_rec **templates;
   };

struct user_menu_rec
   {
    int status;
    Menu menu;
    char *menu_title;
    struct strs_rec *strs_rec_ptr;
    int (*action_proc)();
    int (*proc)();
    void *arg1,*arg2,*arg3;
    char *private_str;
    unsigned long num_children;
    struct user_menu_rec **children;
    struct user_menu_rec *root;
   };

#endif _MENU_H
