/****************************************************************************
Copyright (c) 1998 Trustees of the University of Pennsylvania
See the file COPYING for license terms.
****************************************************************************/

#ifndef RIA_EXTERN_DEFINE_CONSTANTS_H
#define RIA_EXTERN_DEFINE_CONSTANTS_H

#define VALUE_MAIN_MENU_HELP 1
#define VALUE_DISPLAY_MENU_HELP 2
#define VALUE_ANALYSIS_MENU_HELP 3
#define VALUE_GET_DIR_FN_MENU_HELP 4
#define VALUE_BEGINNER_HELP 5
#define VALUE_COLOR_EDITOR_HELP 6
#define VALUE_BATCH_HELP 7
#define VALUE_TEXT_FORMAT_HELP_FN 8
#define VALUE_PIXEL_SELECTION_HELP_FN 9

#define VALUE_LABEL_CURVE 1
#define VALUE_INCLUDE_FILE_LABELS 2

#define VALUE_BREAK_IT 1
#define VALUE_BREAK_UNDO 2
#define VALUE_BREAKER_ENABLE 3

#define VALUE_CUT 1
#define VALUE_CUT_OPTION 2
#define VALUE_CUT_APPEND 3
#define VALUE_CUT_APPEND_OPTION 4
#define VALUE_PASTE 5
#define VALUE_COPY 6
#define VALUE_COPY_OPTION 7
#define VALUE_COPY_APPEND 8
#define VALUE_COPY_APPEND_OPTION 9
#define VALUE_CLIPBOARD_FIRST 10
#define VALUE_PASTE_ALL 11

#define VALUE_PRINT_CURRENT_IMAGE 1
#define VALUE_PRINT_ALL_IMAGES 2
#define VALUE_SAVE_CURRENT_WIN_IMAGES 3

#define VALUE_EDITED_PIXEL_TYPES 1
#define VALUE_PARTITIONED_PIXEL_TYPES 2

#define VALUE_SAVE_DAT_FILE 1
#define VALUE_RELOAD_SLICE_ROIS 2
#define VALUE_LOAD_DAT_FILE 3
#define VALUE_FILE_INFO 4
#define VALUE_ENTER_FILE_COMMENT 5
#define VALUE_RELOAD_CUR_SLICE_ROIS 6

#define VALUE_SAVE_TEXT_TO_FILE 1
#define VALUE_SAVE_THEN_PRINT_TEXT 2
#define VALUE_PRINT_TEXT_TO_WINDOW 3
#define VALUE_PRINT_ROIS_AND_PIXEL_TYPES 4
#define VALUE_FILTER_SHOW_TISSUES 5
#define VALUE_SHOW_TISSUE_WINS 6

#define VALUE_HISTO_CURRENT_SLICE_1D 1
#define VALUE_HISTO_ALL_SLICE_1D 2
#define VALUE_HISTO_CURRENT_SLICE 3
#define VALUE_HISTO_ALL_SLICE 4
#define VALUE_HISTO_SHOW 5
#define VALUE_HISTO_CLEAR 6

#define MAGNIFY_WIN 51
#define MAGNIFY_SHRINK_WIN 54
#define MAGNIFY_LAST_DIM 55
#define MAGNIFY_DEFAULT_DIM 56

#define MIN_MAGNIFY_PIXEL_DIM 1
#define MAX_MAGNIFY_PIXEL_DIM 20

#define VALUE_MAKE_ROI_CONVEX 1000
#define VALUE_OUT_OF_BOUND_ROIS 1001

#define DELETE_CUR_PT 1
#define DELETE_CUR_CURVE 2
#define DELETE_CUR_ROI 3
#define DELETE_EVERY_ROI 4
#define DELETE_FILE_ROIS_BY_LABEL 5
#define DELETE_ALL_FILE_ROIS 6
#define DELETE_CURVE_MODE 7


#define NORTH 0x00000001
#define NORTH_EAST 0x00000003
#define EAST 0x00000002
#define SOUTH_EAST 0x00000006
#define SOUTH 0x00000004
#define SOUTH_WEST 0x0000000c
#define WEST 0x00000008
#define NORTH_WEST 0x00000009
#define SCREEN_CENTER 0x00000010
#define SCREEN_CENTER_AT_BR 0x00000020
#define SCREEN_ORIGIN_AT_TL 0x00000040

#define FUSION_DELETE_FUSION 1
#define FUSION_SHOW 2
#define FUSION_WHICH_WIN 3
#define FUSION_SHOW_SRC 4
#define FUSION_LAST_LEFT_TOP 5
#define FUSION_SWITCHING 6

#define EXTRA_FRAME_STATUS 5000
#define EXTRA_FRAME_SHOW 1
#define EXTRA_FRAME_HIDE 2

#define VALUE_SLICE_ROI_PRIOR 100
#define VALUE_SLICE_ROI_NEXT 101

#define VALUE_CUR_SLICE_TYPES_TO_HISTO_ROIS 0
#define VALUE_ALL_SLICE_TYPES_TO_HISTO_ROIS 1

#define WHOLE_SLICE 0
#define CUR_CURVE 1
#define CUR_ROI 2
#define ALL_ROIS 3
#define IMAGE_FILTER_ROI 4

#define USER_WIN_SETUP 1
#define USER_WIN_FREE_FRAME 2
#define USER_WIN_FREE_STRS 4
#define USER_WIN_FREE_STR_PTRS 8
#define USER_WIN_FREE_STRS_AND_PTR 16
#define USER_WIN_FREE_STR_PTRS_AND_PTR 32

#define HISTO_ROI_POINTS 1
#define HISTO_ROI_CONVEX_REGION 2
#define HISTO_ROI_RANGE_REGION 3

#define OVERLAYED_BY_VALUE 1
#define DELETE_OVERLAY_VALUE 2
#define SHOW_HIDE_OVERLAY_VALUE 3

#endif RIA_EXTERN_DEFINE_CONSTANTS_H

