/****************************************************************************
showmarkhdr.c - ???

Copyright (c) 1998 Trustees of the University of Pennsylvania
See the file COPYING for license terms.
****************************************************************************/

static const char rcsid[] = "$Id: showmarkhdr.c,v 1.5 1999/07/07 18:01:07 hughett Exp $ Release $Name: nria_1_0_6 $";

#include <stdio.h>
#include <math.h>

#include "mark_hdr.h"
#include "error_constants.h"
#include "nria_lib.h"



/*****************************************
FIXME:  Following two functions are not used here and seem to be
duplicated elsewhere.


char hex(num)
 unsigned long num;
{
 if (num < 10) return (char) ((int) '0' + num);
   else
    switch (num)
       {case 10 : return 'A';
        case 11 : return 'B';
        case 12 : return 'C';
        case 13 : return 'D';
        case 14 : return 'E';
        default : return 'F';
       };

}

char *buf_hex(buf,num_elems)
 unsigned char *buf;
 unsigned long num_elems;
{
 static char str[511];
 unsigned long rem;
 int lcv,indx;

 if (num_elems == 0)
    {str[0] = '\0';
     return str;}
 if (num_elems > 255) num_elems = 255;
 str[num_elems * 2] = '\0';
 for (indx = lcv = 0; lcv < num_elems; lcv += 1,indx += 2)
    {
     str[indx] = hex((unsigned long) (buf[lcv] / 16));
     str[indx + 1] = hex((unsigned long) (buf[lcv] % 16));
    }
 return str;
}
*******************************/


/*----------------------------------------------------------------------
pr_makr_hdr_key - ???
----------------------------------------------------------------------*/

void
pr_makr_hdr_key(key1)
 struct mark_hdr_key *key1;
{
 printf("size = %d data_type = %s  fn = %s\n",key1->size,key1->data_type,
    key1->name);
 printf("\n");
}


/*----------------------------------------------------------------------
pr_mark_hdr_dimension - ???
----------------------------------------------------------------------*/

void
pr_mark_hdr_dimension(dim)
 struct mark_hdr_dimension *dim;
{
 printf("num_dims = %d   dimx = %d   dimy = %d   max_slices = %d\n",
   (int) dim->num_dims,(int) dim->dimx,(int) dim->dimy,(int) dim->max_slices);
 printf("num_vols = %d   histo_dimx = %d   histo_dimy = %d\n",
   (int) dim->num_vols,(int) dim->histo_dimx,
   (int) dim->histo_dimy);
 printf("pixel_depth_bits = %d   glmax = %d   glmin = %d\n",
   (int) dim->pixel_depth_bits,(int) dim->glmax,
   (int) dim->glmin);

 printf("xpixel_size = %.4f   ypixel_size = %.4f\n",
    dim->xpixel_size, dim->ypixel_size);
 printf("pixel_thickness = %.4f   spacing = %.4f\n",
    dim->pixel_thickness,dim->spacing);
 printf("plane_type = %d    \n",dim->plane_type);
 printf("num echoes = %d   \n",dim->num_echoes);

 printf("tr = %f   te = %s\n",dim->tr,dim->te);
 printf("\n");

}


/*----------------------------------------------------------------------
pr_mark_hdr_history - ???
----------------------------------------------------------------------*/

void
pr_mark_hdr_history(history)
 struct mark_hdr_history *history;
{
 printf("name = %s\n",history->patient.name);
 printf("ssnum = %s\n",history->patient.ssnum);
 printf("patient_id = %s\n",history->patient.patient_id);
 printf("study_num = %s\n",history->patient.study_num);
 printf("patient_num = %s\n",history->patient.patient_num);
 printf("sex = %c\n",history->patient.sex);
 printf("age = %d\n",history->patient.age);
 printf("height = %d\n",history->patient.height);
 printf("weight = %d\n",history->patient.weight);
 printf("\n");
 printf("date_of_study = %s\n",history->date_of_study);
 printf("time_of_study = %s\n",history->time_of_study);

 printf("\n");
}


/*----------------------------------------------------------------------
pr_mark_hdr - ???
----------------------------------------------------------------------*/

void
pr_mark_hdr(hdr)
 struct mark_hdr *hdr;
{
 pr_makr_hdr_key(&(hdr->key));
 pr_mark_hdr_dimension(&(hdr->dimen));
 pr_mark_hdr_history(&(hdr->history));

}
