/****************************************************************************
Copyright (c) 1998 Trustees of the University of Pennsylvania
See the file COPYING for license terms.
****************************************************************************/

#ifndef TIME_H
#define	TIME_H

#include <time.h>
#include <sys/time.h>
#include <sys/timeb.h>

#define TIMER_SEC 1
#define TIMER_MIN 2
#define TIMER_HOUR 4
#define TIMER_MONTHDAY 8
#define TIMER_MONTH 16
#define TIMER_YEAR 32
#define TIMER_TIME 0x003f

#define TIMER_WEEKDAY 64
#define TIMER_YEARDAY 128


#define TIMER_EQUAL 256
#define TIMER_LESS_THAN 512
#define TIMER_GREATER 1024
#endif TIME_H
